﻿using Android.App;
using Android.Widget;
using Android.OS;
using Android.Support.V7.App;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using Syncfusion.Drawing;
using System.IO;
using System;
using System.Reflection;

namespace GettingstartedAndroid
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
    public class MainActivity : AppCompatActivity
    {        
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.activity_main);

            Button button = FindViewById<Button>(Resource.Id.MyButton);
            button.Text = "Create PDF";
            button.Click += OnButtonClicked;
        }

        async void OnButtonClicked(object sender, EventArgs e)
        {
            // Create a new PDF document
            PdfDocument document = new PdfDocument();

            //Add a page to the document
            PdfPage page = document.Pages.Add();


            PdfGrid pdfGridParagraph3 = new PdfGrid();
 
            pdfGridParagraph3.Columns.Add(1);

            Stream fontStream = typeof(MainActivity).GetTypeInfo().Assembly.GetManifestResourceStream("GettingstartedAndroid.Assets.Arial.TTF");
            pdfGridParagraph3.Style.Font = new PdfTrueTypeFont(fontStream, 14);

            pdfGridParagraph3.Columns[0].Width = 200;
            var pdfGridRowParagraph3Details1 = pdfGridParagraph3.Rows.Add();
            pdfGridRowParagraph3Details1.Cells[0].Value = "€ 200.000";
            PdfStringFormat format = new PdfStringFormat();
            format.LineAlignment = PdfVerticalAlignment.Top;
            pdfGridRowParagraph3Details1.Cells[0].StringFormat = format;        
            pdfGridParagraph3.Draw(page.Graphics, PointF.Empty);           

            //Save the document to the stream
            MemoryStream stream = new MemoryStream();
            document.Save(stream);

            //Close the document
            document.Close(true);

            //Save the stream as a file in the device and invoke it for viewing
            SaveAndroid androidSave = new SaveAndroid();
            await androidSave.SaveAndView("Output.pdf", "application/pdf", stream,this);
        }
    }
}

